This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 867212 (CVE-2012-3163)

Summary: CVE-2012-3163 mysql: unspecified vulnerability related to Information Schema (CPU Oct 2012)
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: azelinka, byte, grocha, hhorak, kvolny, mfisher, rsawhill, teger, tkramer
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20121016,reported=20121016,source=internet,cvss2=6.5/AV:N/AC:L/Au:S/C:P/I:P/A:P,rhel-5/mysql=new,rhel-6/mysql=affected,fedora-all/mysql=affected,openshift-1/mysql=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-21 10:21:54 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 871813, 871814    
Bug Blocks: 867241, 870399    

Description Kurt Seifried 2012-10-17 01:04:21 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-3163 to
the following vulnerability:

Name: CVE-2012-3163
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3163
Assigned: 20120606
Reference: http://www.oracle.com/technetwork/topics/security/cpuoct2012-1515893.html

Unspecified vulnerability in the MySQL Server component in Oracle
MySQL 5.1.64 and earlier, and 5.5.26 and earlier, allows remote
authenticated users to affect confidentiality, integrity, and
availability via unknown vectors related to Information Schema.
Comment 8 errata-xmlrpc 2012-11-14 15:53:20 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1462 https://rhn.redhat.com/errata/RHSA-2012-1462.html
Comment 12 teger 2012-12-12 20:43:46 EST
Does RedHat plan to address this CVE as it regards to RHEL5 and its' mysql released versions?  Or is the vulnerability not affected in RHEL5 releases?
Comment 13 Tomas Hoger 2012-12-17 13:21:01 EST
Unfortunately, Red Hat is unable to give a definite statement on whether this CVE affects mysql packages in Red Hat Enterprise Linux 5 or not.  The reason is that MySQL upstream (Oracle) refuses to clarify what the MySQL CVEs are actually assigned to.  Only limited information is provided (which includes affected sub-component, CVSSv2 score, and fixed-in version), which does not allow mapping CVEs to applied fixes with certainty.

MySQL downstreams have been looking to match Oracle assigned MySQL CVEs to specific changes.  A specific fix was identified that is strongly believed to be what this CVE was assigned to.  The fix is for the issue that did not affect mysql 5.0 as shipped in Red Hat Enterprise Linux 5.  However, without having that guess officially confirmed, it is not possible to issue a statement listing Red Hat Enterprise Linux 5 as unaffected by the CVE.

Red Hat is working on providing a longer term solution to this MySQL problem.